atk.ObjectFactory
Prev | The atk Class Reference | Next

## atk.ObjectFactory

atk.ObjectFactory — the base object class for a factory used to create accessible objects for objects of a specific GType.

## Synopsis

    class atk.ObjectFactory(gobject.GObject):
        def create_accessible(obj)
        def invalidate()
        def get_accessible_type()

## Ancestry

    +-- gobject.GObject
      +-- atk.ObjectFactory

## atk.ObjectFactory Signal Prototypes

gobject.GObject Signal Prototypes

## Description

This class is the base object class for a factory used to create an accessible object for a specific GType. The method `atk.Registry.set_factory_type()` is normally called to store in the registry the factory type to be used to create an accessible of a particular GType.

## Methods

### atk.ObjectFactory.create_accessible

        def create_accessible(obj)

`obj` : | a `gobject.GObject`
Returns : | an `atk.Object` that implements an accessibility interface on behalf of `obj`

Provides an `atk.Object` that implements an accessibility interface on behalf of `obj`

### atk.ObjectFactory.invalidate

        def invalidate()

Inform the factory that it is no longer being used to create accessibles. When called, the factory may need to inform the `atk.Object` objects it has created that they need to be re-instantiated. Note: primarily used for runtime replacement of `atk.ObjectFactory` objects in object registries.

### atk.ObjectFactory.get_accessible_type

        def get_accessible_type()

Returns : | the type of the accessible which is created by the `factory`.

Gets the GType of the accessible which is created by the factory. The value `gobject.TYPE_INVALID` is returned if no type if found.

Prev | Up | Next
atk.Object | Home | atk.Rectangle